package com.palmnest.application.dto.output.wechat;

import java.io.Serializable;

public class MerchantDetailDto implements Serializable{

	/**
	 * 商户信息详情
	 */
	private static final long serialVersionUID = 1648346879575284292L;
	
	private Long id;
	private Integer orgId;//项目ID
	private String moduleCode;//模块编码
	private String name;//名称
	private String appId;//公众号唯一标识
	private String appSecret; //公众号secret
	private String mchId;//商户号
	private String wxApiKey;//支付秘钥
	private String sslcertPath;
	private String sslcertPassword;
	
	
	public MerchantDetailDto(Long id, Integer orgId, String moduleCode, String name, String appId, String appSecret,
			String mchId, String wxApiKey, String sslcertPath, String sslcertPassword) {
		super();
		this.id = id;
		this.orgId = orgId;
		this.moduleCode = moduleCode;
		this.name = name;
		this.appId = appId;
		this.appSecret = appSecret;
		this.mchId = mchId;
		this.wxApiKey = wxApiKey;
		this.sslcertPath = sslcertPath;
		this.sslcertPassword = sslcertPassword;
	}
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public Integer getOrgId() {
		return orgId;
	}
	public void setOrgId(Integer orgId) {
		this.orgId = orgId;
	}
	public String getModuleCode() {
		return moduleCode;
	}
	public void setModuleCode(String moduleCode) {
		this.moduleCode = moduleCode;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getAppId() {
		return appId;
	}
	public void setAppId(String appId) {
		this.appId = appId;
	}
	public String getAppSecret() {
		return appSecret;
	}
	public void setAppSecret(String appSecret) {
		this.appSecret = appSecret;
	}
	public String getMchId() {
		return mchId;
	}
	public void setMchId(String mchId) {
		this.mchId = mchId;
	}
	public String getWxApiKey() {
		return wxApiKey;
	}
	public void setWxApiKey(String wxApiKey) {
		this.wxApiKey = wxApiKey;
	}
	public String getSslcertPath() {
		return sslcertPath;
	}
	public void setSslcertPath(String sslcertPath) {
		this.sslcertPath = sslcertPath;
	}
	public String getSslcertPassword() {
		return sslcertPassword;
	}
	public void setSslcertPassword(String sslcertPassword) {
		this.sslcertPassword = sslcertPassword;
	}

	
}
